Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceAlmanach

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/almanach")
      public interface ServiceAlmanach
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createEvent​(String componentInstanceId, String calendarId, CalendarEventCreationDTO event, org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)` |
    `void` | `getCalendars​(String componentInstanceId, org.fusesource.restygwt.client.MethodCallback<List<CalendarDTO>> callback)` |
    `void` | `getEvent​(String calendarId, String eventId, org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)` |
    `void` | `getOccurences​(String componentInstanceId, String calendarId, String startDateOfWindowTime, String endDateOfWindowTime, String zoneid, org.fusesource.restygwt.client.MethodCallback<List<CalendarEventDTO>> callback)` |
    `void` | `updateParticipation​(String componentInstanceId, String calendarId, String eventId, String occurenceId, String attendeeId, String zoneid, CalendarEventAttendeeDTO dto, org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)` |

- - ### Method Detail

    - #### getCalendars

          @GET
          @Path("{componentInstanceId}/")
          void getCalendars​(@PathParam("componentInstanceId")
                            String componentInstanceId,
                            org.fusesource.restygwt.client.MethodCallback<List<CalendarDTO>> callback)

    - #### getOccurences

          @GET
          @Path("{componentInstanceId}/{calendarId}/events/occurrences/")
          void getOccurences​(@PathParam("componentInstanceId")
                             String componentInstanceId,
                             @PathParam("calendarId")
                             String calendarId,
                             @QueryParam("startDateOfWindowTime")
                             String startDateOfWindowTime,
                             @QueryParam("endDateOfWindowTime")
                             String endDateOfWindowTime,
                             @QueryParam("zoneid")
                             String zoneid,
                             org.fusesource.restygwt.client.MethodCallback<List<CalendarEventDTO>> callback)

    - #### getEvent

          @GET
          @Path("{calendarId}/events/{eventId}")
          void getEvent​(@PathParam("calendarId")
                        String calendarId,
                        @PathParam("eventId")
                        String eventId,
                        org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)

    - #### updateParticipation

          @PUT
          @Path("{componentInstanceId}/{calendarId}/events/{eventId}/occurrences/{occurenceId}/attendees/{attendeeId}")
          void updateParticipation​(@PathParam("componentInstanceId")
                                   String componentInstanceId,
                                   @PathParam("calendarId")
                                   String calendarId,
                                   @PathParam("eventId")
                                   String eventId,
                                   @PathParam("occurenceId")
                                   String occurenceId,
                                   @PathParam("attendeeId")
                                   String attendeeId,
                                   @QueryParam("zoneid")
                                   String zoneid,
                                   CalendarEventAttendeeDTO dto,
                                   org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)

    - #### createEvent

          @POST
          @Consumes("application/json")
          @Path("{componentInstanceId}/{calendarId}/events")
          void createEvent​(@PathParam("componentInstanceId")
                           String componentInstanceId,
                           @PathParam("calendarId")
                           String calendarId,
                           CalendarEventCreationDTO event,
                           org.fusesource.restygwt.client.MethodCallback<CalendarEventDTO> callback)